"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const assert = require("assert");
const tests = require("../../tests");
const settings_1 = require("../../settings");
const matcher_1 = require("./matcher");
class TestMatcher extends matcher_1.default {
    get storage() {
        return this._storage;
    }
}
function getMatcher(patterns, options = {}) {
    return new TestMatcher(patterns, new settings_1.default(), options);
}
describe('Providers → Matchers → Matcher', () => {
    describe('.storage', () => {
        it('should return created storage', () => {
            const matcher = getMatcher(['a*', 'a/**/b']);
            const expected = [
                tests.pattern.info()
                    .section(tests.pattern.segment().dynamic().pattern('a*').build())
                    .build(),
                tests.pattern.info()
                    .section(tests.pattern.segment().pattern('a').build())
                    .section(tests.pattern.segment().pattern('b').build())
                    .build()
            ];
            const actual = matcher.storage;
            assert.deepStrictEqual(actual, expected);
        });
    });
});
