import * as glob from 'glob';
import { Options } from '../../settings';
import { Pattern } from '../../types';
export declare type SmokeTest = {
    pattern: Pattern;
    ignore?: Pattern;
    cwd?: string;
    globOptions?: glob.IOptions;
    globFilter?: (entry: string, filepath: string) => boolean;
    globTransform?: (entry: string) => string;
    fgOptions?: Options;
    /**
     * Allow to run only one test case with debug information.
     */
    debug?: boolean;
    /**
     * Mark test case as broken. This is requires a issue to repair.
     */
    broken?: boolean;
    issue?: number | number[];
    /**
     * Mark test case as correct. This is requires a reason why is true.
     */
    correct?: boolean;
    reason?: string;
    /**
     * The ability to conditionally run the test.
     */
    condition?: () => boolean;
};
export declare function suite(name: string, tests: Array<SmokeTest | SmokeTest[]>): void;
