"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getEperm = exports.getEnoent = void 0;
class SystemError extends Error {
    constructor(code, message) {
        super(`${code}: ${message}`);
        this.code = code;
        this.name = 'SystemError';
    }
}
function getEnoent() {
    return new SystemError('ENOENT', 'no such file or directory');
}
exports.getEnoent = getEnoent;
function getEperm() {
    return new SystemError('EPERM', 'operation not permitted');
}
exports.getEperm = getEperm;
