"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.builder = void 0;
class TaskBuilder {
    constructor() {
        this._task = {
            base: '',
            dynamic: true,
            patterns: [],
            positive: [],
            negative: []
        };
    }
    base(base) {
        this._task.base = base;
        return this;
    }
    static() {
        this._task.dynamic = false;
        return this;
    }
    positive(pattern) {
        this._task.patterns.push(pattern);
        this._task.positive.push(pattern);
        return this;
    }
    negative(pattern) {
        this._task.patterns.push(`!${pattern}`);
        this._task.negative.push(pattern);
        return this;
    }
    build() {
        return this._task;
    }
}
function builder() {
    return new TaskBuilder();
}
exports.builder = builder;
